
CREATE TABLE if not exists core.relcounting
(
  relschema character varying NOT NULL DEFAULT 'public'::character varying,
  relname character varying NOT NULL,
  reltuples bigint DEFAULT 0
);

alter table core.relcounting alter column relschema set storage plain;
alter table core.relcounting alter column relname set storage plain;

DO $$
BEGIN
IF to_regclass('core.i_core_relcounting') IS NULL THEN
    CREATE INDEX i_core_relcounting ON core.relcounting USING btree(relschema,relname);
END IF;
END$$;
