delete from public.templates_table;
insert into public.templates_table (template,colname,colpath,coltype) values
     ('speedestimate','lane','{measurements,0,waypoints,best,location,lane}','text')
    ,('speedestimate','time','{time}','timestamptz::time::text')
    ,('index@overspeed:spot-speed','speedlimit','{evidence,args,speed-limit}','integer')
    ,('index@overspeed:spot-speed','overspeed','{evidence,measurements,overspeed}','integer')
    ,('index@overspeed:section-speed','speedlimit','{evidence,args,speed-limit}','integer')
    ,('index@overspeed:section-speed','overspeed','{evidence,measurements,overspeed}','integer')
    ,('index@stopviolation:parking','time','{evidence,measurements,time}','integer')
    ,('index@wanted:wanted','list','{evidence,args,list-id}','text')
    ,('index@wanted:wanted','alarm','{evidence,args,alarm-color}','integer')

;

delete from public.templates_object;
insert into public.templates_object ( template, pattern ) values
     ('listitem','
        {
            "ts-order": "#{scrollid}",
            "db-order": "#{id}",
            "event":{
                "type": "#{event,type}",
                "time": "#{event,time}",
                "uuid": "#{event,uuid}",
                "origin": "#{event,origin,uuid}",
                "location": {
                    "place": "#{event,measurements,0,waypoints,best,location,place}",
                    "lane": "#{event,measurements,0,waypoints,best,location,lane}"
                },
                "vehicle": {
                    "position": {
                        "forward": "#{event,measurements,0,waypoints,best,vehicle,position,forward}",
                        "left": "#{event,measurements,0,waypoints,best,vehicle,position,left}"
                    },
                    "plate": "#{event,measurements,0,waypoints,best,vehicle,license-plates,0,text,ucode}",
                    "plate-weight": "#{event,measurements,0,waypoints,best,vehicle,license-plates,0,weight}",
                    "spot-speed": "#{event,measurements,0,waypoints,best,vehicle,spot-speed,radar,measured}",
                    "dir": "#{event,measurements,0,waypoints,best,vehicle,dir}"
                },
                "alarms": "#{event,alarms}"
            },    
            "dist":{
                "args":  "#{dist,selected,args}",
                "thumb": "#{dist,selected,thumb}",
                "plate": "#{dist,selected,plate}",
                "vehicle": "#{dist,selected,vehicle}",
                "scene": "#{dist,selected,scene}"
            }
        }
    '),
    ('architem','
        {
            "db-order": "#{id}",
            "event":{
                "type": "#{event,type}",
                "time": "#{event,time}",
                "uuid": "#{event,uuid}",
                "origin": "#{event,origin,uuid}",
                "alarms": "#{event,alarms}"
            },  
            "dist": "#{dist,list}"
        }
    ')
;


