-- update script for X.X core patch XXXX


do language plpgsql
$_$
declare 
mymajor integer := 2;
myminor integer := 0;
mytiny  integer := 0;
mypatch integer := 5;
myrev   bigint  := 201604272100;
lastpatch integer;
begin

if not exists (select * from information_schema.columns where table_schema = 'core' and table_name = 'version' and column_name = 'patch') then return; end if;
select into lastpatch patch from core.version where module = 'core' and major = mymajor and minor = myminor and tiny = mytiny order by patch desc limit 1;
if found and lastpatch = mypatch - 1 then

-- BEGIN PATCH

drop function if exists api_post_delete(uuid);
drop function if exists api_channel_delete(uuid, integer, character varying);
drop function if exists api_plate_mediastore_delete(uuid, integer, character varying);

  
-- END PATCH

	insert into core.version (module,major,minor,tiny,patch,revision) values('core',mymajor,myminor,mytiny,mypatch,myrev);
end if;
end;
$_$;



