create or replace function lib.json_array_int(json) returns int[] as $$
	select array(select json_array_elements_text(case when $1 isnull or json_typeof($1)='array' then $1 else json_build_array($1) end))::int[]
$$ language sql immutable;


create or replace function lib.json_array_double(json) returns float8[] as $$
	select array(select json_array_elements_text(case when $1 isnull or json_typeof($1)='array' then $1 else json_build_array($1) end))::float8[]
$$ language sql immutable;


create or replace function lib.json_array_text(json) returns text[] as $$
	select array(select json_array_elements_text(case when $1 isnull or json_typeof($1)='array' then $1 else json_build_array($1) end))::text[]
$$ language sql immutable;
