create table if not exists public.templates_table (
    template varchar(256),
    colname  varchar(32) not null,
    colpath  varchar(1024) not null,
    coltype  varchar(32),
    primary key (template, colname, colpath)
);    

alter table public.templates_table alter column template set storage plain;
alter table public.templates_table alter column colname  set storage plain;
alter table public.templates_table alter column colpath  set storage plain;
alter table public.templates_table alter column coltype  set storage plain;


create table if not exists public.templates_object (
    template varchar(256) not null primary key,
    pattern jsonb
);

alter table public.templates_object alter column template set storage plain;


